/*
 * clock.h
 *
 *  Created on: 22.11.2018
 *      Author: Hendrik Schutter
 */

#ifndef SRC_CLOCK_H_
#define SRC_CLOCK_H_

struct time_t {
	uint8_t diffHour;
	uint8_t diffMinute;
	uint8_t diffSecond;
	uint32_t seconds;
};

class clock {

private:
	void clock_init();

public:
	clock();
	~clock();
	uint32_t getTime(); //time in sec since boot
	struct time_t getTime(struct time_t pTime); //time in sec since time stamp

};

#endif /* SRC_CLOCK_H_ */
